Partial Class Visitors_YourPrivacyRights
    Inherits CharterCMSPage

	Protected Sub Page_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Load
        MyBase.SetTemplate(7)
        Dim _menuItem As MenuItem

    If Not Page.IsPostBack Then
      'Response.AddCacheItemDependency(CacheKey.OutputCacheDurationKey)
            Dim d As DateTime = CachedControls.getExpireDate()

      If HttpContext.Current.Cache.Item("Template7") Is Nothing Then
        HttpContext.Current.Cache.Insert("Template7", DateTime.Now, Nothing, d, System.TimeSpan.Zero, System.Web.Caching.CacheItemPriority.NotRemovable, Nothing)
      End If

      Response.AddCacheItemDependency("Template7")

      If Application(Request.Url.LocalPath) Is Nothing Then
        Application.Add(Request.Url.LocalPath, "Template7")
      End If

      If Request.QueryString(QueryStringName.PrivacyRight) IsNot Nothing Then
        _menuItem = CType(Request.QueryString(QueryStringName.PrivacyRight), MenuItem)

        ucCustomContent.ContentKey = String.Format("{0}:{1}", QueryStringName.PrivacyRight, _menuItem.ToString())
        ucCustomContent.Visible = True
      Else
        ucCustomContent.ContentKey = Nothing
        ucCustomContent.Visible = False
      End If
    End If
	End Sub
End Class
